import { NgModule } from '@angular/core';
import { Component, OnInit, HostListener } from '@angular/core';

import { MaterialModule } from '../../../../modules/material.module';
import { NgAnimateScrollService } from 'ng-animate-scroll';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';


declare var $;
declare const window: any;

@NgModule({
    imports: [
    MaterialModule
]
})

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})


export class HomeComponent implements OnInit {


  registerForm: FormGroup;
  submitted = false;
  menuActive:any;
  isShow:any;

  constructor(private animateScrollService: NgAnimateScrollService, private formBuilder: FormBuilder) {
    this.menuActive = 1;
    this.isShow=1;

   }


  toHome(duration?: number) {
    this.animateScrollService.scrollToElement('home', duration);
    this.menuActive = 1;
  }

  toAboutus(duration?: number) {
    this.animateScrollService.scrollToElement('aboutus', duration);
    this.menuActive = 2;
  }

  toContact(duration?: number) {
    this.animateScrollService.scrollToElement('contact', duration);
    this.menuActive = 3;
  }

  ngOnInit() {
    this.registerForm = this.formBuilder.group({
      Name: ['', Validators.required],
      email: ['', [Validators.required, Validators.email]],
      Number: ['', [Validators.required, Validators.minLength(6)]],
      Comment: ['', Validators.required],
    });
  }

  get f() { return this.registerForm.controls; }

  onSubmit() {
    this.submitted = true;

    // stop here if form is invalid
    if (this.registerForm.invalid) {
      return;
    }

    alert('SUCCESS!! :-)\n\n' + JSON.stringify(this.registerForm.value))
  }


  @HostListener('window:scroll', [])
  onWindowScroll() {

    const number = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop || 0;

    $(window).scroll(function () {
      const sticky = $('.navbar'),
        scroll = $(window).scrollTop();
      if (scroll > 10) { sticky.addClass('scrolled_navbar'); } else { sticky.removeClass('scrolled_navbar'); }
    });
  }

  user(){
    this.isShow = 1;
  }

  mechanic() {
    this.isShow = 2;
  }


  
}
